Subject: bug#57082: 29.0.50; emacs-news-view-mode breakage

From: Juri Linkov <[email-masked]>
Date: Thu, 11 Aug 2022 09:44:48 +0300

>> This is because outline-font-lock-keywords and
>> outline-minor-mode-highlight-buffer have slightly different
>> interpretations of the values for outline-minor-mode-highlight.
>>
>> This could be improved, but in any case both these functions
>> should not be applied at the same time.
>
> Ok.  I'm not familiar enough with the intricacies of font-lock to whip
> up a quick fix and can't afford to spend a lot of time on it, so I hope
> someone better qualified than me will do it.

I guess what is needed here is to find the right place to call
outline--fix-up-all-buttons on first visiting the NEWS buffer.